import { StyleSheet } from 'react-native';
import { colors } from '../Constants';

const styles = StyleSheet.create({
    playerInfoContainer:{
        marginTop:10,
        paddingHorizontal:10,
        marginBottom:25,
    },
    playerMedalsContainer:{
        paddingHorizontal:10,
        flexDirection:'row',
        flexWrap:'wrap',
    },
    rankTableContainer:{
        backgroundColor:colors.blue,
        marginTop:20,
        marginHorizontal:20,
        borderRadius:5,
        overflow:'hidden',
        marginBottom:20,
    },
    rankTableGradient:{
        flexDirection:'row',
        alignItems:'center',
        paddingHorizontal:10,
        paddingVertical:5,
    },
    rankTableHeaderIcon:{
        width:25,
        height:25,
        resizeMode:'contain',
        marginRight:5,
    },
    rankTableName:{
        fontSize:15,
        fontWeight:'700',
        color:colors.white
    },
    rankTableBottomContainer:{
        flex:1,
    },
    rankTableBackround:{
        width:'100%',
        resizeMode:'contain',
        position:'absolute',
        top:-10,
        left:0,
        opacity:0.3,
    },
    rankTableCollectContainer:{
        alignItems:'center',
        paddingVertical:15,
    },
    collectTitle:{
        fontSize:14,
        color:colors.white,
        marginBottom:10,
    },
    collectButtonContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'center',
        backgroundColor:colors.darkBlue1,
        paddingHorizontal:10,
        borderRadius:3,
    },
    collectIcon:{
        width:45,
        height:45,
        resizeMode:'contain',
        marginRight:5,
    },
    collectButton:{
        backgroundColor:'green',
        justifyContent:'center',
        alignItems:'center',
        borderRadius:3,
        paddingVertical:7,
        paddingHorizontal:25,
    },
    collectButtonText:{
        color:colors.white,
        fontSize:13,
        fontWeight:'700',
    },
    statsContainer:{
        paddingHorizontal:10,
        paddingBottom:10,
    },
    playerBarContainerStyle:{
        marginTop:20,
    },
});

export default styles;